import { type CSSProperties } from 'vue';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly contentStyle: import("vue").PropType<string | CSSProperties>;
    readonly label: StringConstructor;
    readonly labelStyle: import("vue").PropType<string | CSSProperties>;
    readonly span: {
        readonly type: NumberConstructor;
    };
}>, () => import("vue/jsx-runtime").JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly contentStyle: import("vue").PropType<string | CSSProperties>;
    readonly label: StringConstructor;
    readonly labelStyle: import("vue").PropType<string | CSSProperties>;
    readonly span: {
        readonly type: NumberConstructor;
    };
}>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
